<?php

namespace Drupal\ipstack;

/**
 * @file
 * Contains \Drupal\ipstack\IpstackManager.
 */

use Symfony\Component\DependencyInjection\ContainerInterface;
use GuzzleHttp\Client as HttpClient;

/**
 * Class IpstackManager.
 *
 * Provides Ipstack service.
 *
 * @ingroup ipstack
 */
class IpstackManager extends Ipstack {

  /**
   * IpstackManager constructor.
   */
  public function __construct(HttpClient $http_client) {
    parent::__construct();
    $this->httpClient = $http_client;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('http_client')
    );
  }

}
